## colorcode 0.8.7

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)

project(colorcode VERSION 0.8.7 LANGUAGES CXX)

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

find_package(Qt5 COMPONENTS Core REQUIRED)
find_package(Qt5 COMPONENTS Gui REQUIRED)
find_package(Qt5 COMPONENTS Widgets REQUIRED)
find_package(Qt5 COMPONENTS LinguistTools REQUIRED)

set(QMDIR "${CMAKE_CURRENT_BINARY_DIR}/.qm")
file(MAKE_DIRECTORY ${QMDIR})

set(TS_FILES
    trans_de.ts
    trans_en.ts
    trans_cs.ts
    trans_fr.ts
    trans_hu.ts
    trans_es.ts
)

set_source_files_properties(${TS_FILES} PROPERTIES OUTPUT_LOCATION ${QMDIR})
qt5_add_translation(QMFILES ${TS_FILES})

set(QMRESFILE "${QMDIR}/cmake_translations.qrc")
file(WRITE ${QMRESFILE} "<!DOCTYPE RCC><RCC version=\"1.0\">\n<qresource prefix=\"/\">\n")

foreach(QMFILE ${QMFILES})
file(RELATIVE_PATH QMFILE_NAME ${QMDIR} ${QMFILE})
file(APPEND ${QMRESFILE} "    <file alias=\"${QMFILE_NAME}\">${QMFILE}</file>\n")
endforeach(QMFILE)

file(APPEND ${QMRESFILE} "</qresource>\n</RCC>\n")
qt_add_resources(TRANSRES ${QMRESFILE})

qt5_wrap_ui(UIS_HDRS
    about.ui
    prefdialog.ui
    gametablesdialog.ui
)

add_executable(colorcode
    ${TRANSRES}
    ${UIS_HDRS}
    about.cpp
    colorcode.cpp
    colorpeg.cpp
    main.cpp
    msg.cpp
    pegrow.cpp
    rowhint.cpp
    ccsolver.cpp
    background.cpp
    solutionrow.cpp
    graphicsbtn.cpp
    settings.cpp
    prefdialog.cpp
    pegfactory.cpp
    gamenodisplay.cpp
    timedisplay.cpp
    timedisplaybg.cpp
    highscore.cpp
    ccgame.cpp
    buttonscell.cpp
    buttondelegate.cpp
    cellbtn.cpp
    gametimer.cpp
    savedgamesmodel.cpp
    prevgamesmodel.cpp
    highscoresmodel.cpp
    gametableview.cpp
    gametablesdialog.cpp
    gameslistmodel.cpp
    docs/GPL.html
    resource.qrc
)

target_link_libraries(colorcode
    Qt5::Widgets
    Qt5::Gui
    Qt5::Core
)

target_compile_options(colorcode
    BEFORE
    PUBLIC
    -pipe
    -O3
    -Wall
    -Wextra
    -D_REENTRANT
    -fPIC
)

# target_compile_options(colorcode PUBLIC -O3)

## colorcode 0.7.2

=== debian/changelog ===
colorcode (0.7.2-1) unstable; urgency=low

  * New upstream release with new features and new translations.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Fri, 18 Mar 2011 16:25:29 +0100

colorcode (0.7.1-2) unstable; urgency=low

  * Fix problem with rejected upload to the Debian servers: make a call to
    lrelease in debian/rules so as to make all the .qm files from all the
    .ts translation files. This way shipping modified .qm files is no more
    required, although I have updated the french trans_fr.ts file.
  * Bump up Standards-Version: 3.9.1.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Fri, 18 Feb 2011 17:13:25 +0100

colorcode (0.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Thu, 17 Feb 2011 21:06:43 +0100

colorcode (0.6.1-1) unstable; urgency=low

  * New upstream release:
  
    - new french translation that I submitted upstream for inclusion in
    the source tree;
    
    - file colorcode32_xpm is now included in upstream;
  
  * debian/control: remove Build-Depends on imagemagick as the
    colorcode32_xpm is no more converted at build-tyme using 'convert';
  
  * debian/rules: remove call 'rm -f debian/colorcode32.xpm' in the clean
    target for the same reason as above;

  * debian/rules: remove calls in the clean target as make distclean now
    performs well the task, leaving the source tree effectively clean.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Wed, 17 Feb 2010 11:46:53 +0100

colorcode (0.6.0-1) unstable; urgency=low

  * New upstream version.
  
  * debian/rules: remove the renaming ColorCode=>colorcode because
    colorcode is now the qmake target binary.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Sun, 14 Feb 2010 22:23:09 +0100

colorcode (0.5.5-3) unstable; urgency=low

  * debian/control: remove the 'Build-Conflicts:
    graphicsmagick-imagemagick-compat' directive as the problem was fixed
    in debian version 0.5.5-2.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Mon, 08 Feb 2010 23:38:01 +0100

colorcode (0.5.5-2) unstable; urgency=low

  * debian/rules: call convert with '+matte' to ensure conversion of ico
    graphics file into xpm without handling the alpha channel in the ico
    file (some programs do not handle transparency and, in the present
    case, that feature is far from essential). See bug#560232 for details.
  
  * debian/control: bump Standards-Version to 3.8.4.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Mon, 08 Feb 2010 21:47:23 +0100

colorcode (0.5.5-1) unstable; urgency=low

  * Initial release (Closes: #553622);

  * debian/control: Build-Conflicts on graphicsmagick-imagemagick-compat
    as the 'convert' binary shipped by that package apparently converts
    ico to xpm in a buggy way (see Bug#560232) (thanks Lionel Elie Mamane
    <lionel@mamane.lu>);

  * Initial upload kindly sponsored by Lionel Elie Mamane <lionel@mamane.lu>.
  
 -- Filippo Rusconi <rusconi-debian@laposte.net>  Thu, 10 Dec 2009 10:27:10 +0100

=== debian/control ===
Source: colorcode
Section: games
Priority: extra
Maintainer: Filippo Rusconi <rusconi-debian@laposte.net>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7), libqt4-dev (>=4.4.3)
Standards-Version: 3.9.1
Homepage: http://colorcode.laebisch.com/

Package: colorcode
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: advanced clone of the MasterMind code-breaking game
 ColorCode is an advanced MasterMind code-breaking game clone. The
 program accepts setting the number of slots (from 2 to 5), the number
 of colors (from 2 to 10) and setting if colors might be repeated in
 the secret code (doubles allowed or not).  The game has 5 built-in
 levels, from level 1 (beginner: 2 slots and 2 colors, with doubles
 allowed) to level 5 (hard: 5 slots and 10 colors, with doubles
 allowed). ColorCode can make guesses in place of the user.

=== debian/rules ===
#!/usr/bin/make -f
# Based on the initial work of Joey Hess and Craig Small.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


PACKAGE=colorcode

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
         NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
         MAKEFLAGS += -j$(NUMJOBS)
endif

$(info "---------------------------------------")
$(info NUMJOBS: $(NUMJOBS))
$(info MAKEFLAGS: $(MAKEFLAGS))
$(info DEB_BUILD_OPTIONS: $(DEB_BUILD_OPTIONS))
$(info "---------------------------------------")


.PHONY: clean
clean: 
	dh_testdir
	dh_testroot

	dh_clean

	[ ! -f Makefile ] || $(MAKE) distclean


configure-stamp: 
	dh_testdir

	# Call the lrelease program to compile all translation files
	# (trans_xx.ts) files into their corresponding trans_xx.qm
	# binary files). We do this here, as we might need to ship an
	# updated .ts file (text file) but we do not want to ship a
	# binary .qm file. Note that lrelease is in libqt4-dev and we
	# have to depend on that package anyways. So no overhead.

	# Production of .qm file is required before the call to qmake.
	lrelease -compress colorcode.pro

	qmake -Wall -unix

	touch configure-stamp


build-arch-stamp: configure-stamp 
	dh_testdir
	dh_prep -a

	$(MAKE) 

	touch build-arch-stamp


.PHONY: build-indep
build-indep:


.PHONY: build-arch
build-arch: build-arch-stamp


.PHONY: build
build: build-indep build-arch


# Build architecture-independent files here.
.PHONY: binary-indep
binary-indep: 


# Build architecture-dependent files here.
.PHONY: binary-arch
binary-arch: build-arch-stamp
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_install -a
	dh_installmenu -a
	dh_installman -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a


.PHONY: binary
binary: binary-indep binary-arch

## colorcode 0.8.5

=== debian/changelog ===
colorcode (0.8.5-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:11:47 +0100

colorcode (0.8.5-2) unstable; urgency=medium

  * Modifications by Filippo Rusconi <lopippo@debian.org>  
      Tue, 05 Mar 2019 16:40:15 +0100

  * Fix d/copyright lintian warning.
  * Standards-Version: 4.3.0
  * Remove unused patch file.

  * Upload (Closes: #923116): 
      Thanks to Helmut Grohne <helmut@subdivi.de> for the bug report and
      patch.

  * Modifications by Helmut Grohne <helmut@subdivi.de>  
      Sun, 24 Feb 2019 10:37:41 +0100:

  * Fix FTCBFS: (Closes: #-1)
    + Use QT_SELECT to select qt and avoid running qtchooser directly.
    + Let dh_auto_configure run qmake with appropriate flags.
    + Build-Depends qt5-qmake:native for running lrelease.

  * Modifications by Ondřej Nový <onovy@debian.org>  
      Mon, 01 Oct 2018 10:38:09 +0200:

  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces
  * d/control: Add Vcs-* field

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 05 Mar 2019 16:40:15 +0100

colorcode (0.8.5-1) unstable; urgency=medium

  * New upstream release with the Qt5 port done by the usptream author
    after I have submitted to him that port patch.

  * Removing the Qt5 port patch (qt5-port-by-fr) that I had made.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 20 Oct 2015 19:41:59 +0200

colorcode (0.7.2-3) UNRELEASED; urgency=medium

  * debian/compat set to 9 and updated debian/control accordingly.

  * debian/copyright updated to conform to DEP5 copyright.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 30 Sep 2015 17:33:44 +0200

colorcode (0.7.2-2) unstable; urgency=medium

  * Port to version 5 of the Qt libraries in the form of a patch made by
    Filippo Rusconi <lopippo@debian.org>.

  * debian/control: - change the maintainer data to Filippo Rusconi
                      <lopippo@debian.org>.
                    - Standards-Version: 3.9.6
                    - qtbase5-dev (>= 5.3.2+dfsg-5)

  * debian/rules:   - invoke the qmake program through the qtchooser utility
                      to ensure that Qt5 is used
                    - set up the quilt magick since we now have a patch.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 30 Sep 2015 15:28:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,17 @@
 Source: colorcode
 Section: games
-Priority: extra
-Maintainer: Filippo Rusconi <rusconi-debian@laposte.net>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7), libqt4-dev (>=4.4.3)
-Standards-Version: 3.9.1
+Priority: optional
+Maintainer: Filippo Rusconi <lopippo@debian.org>
+Build-Depends: debhelper (>= 9),
+               dpkg-dev (>= 1.16.1~),
+               qt5-qmake:native,
+               qtbase5-dev (>= 5.3.2+dfsg-5),
+               qttools5-dev-tools (>= 5.3.2+dfsg-5),
+               quilt (>= 0.63)
+Standards-Version: 4.3.0
 Homepage: http://colorcode.laebisch.com/
+Vcs-Browser: https://salsa.debian.org/debian/colorcode
+Vcs-Git: https://salsa.debian.org/debian/colorcode.git
 
 Package: colorcode
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# Based on the initial work of Joey Hess and Craig Small.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export QT_SELECT=qt5

PACKAGE=colorcode

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

$(info "---------------------------------------")
$(info NUMJOBS: $(NUMJOBS))
$(info MAKEFLAGS: $(MAKEFLAGS))
$(info DEB_BUILD_OPTIONS: $(DEB_BUILD_OPTIONS))
$(info "---------------------------------------")

.PHONY: clean
clean:
	dh_testdir
	dh_testroot
	dh_quilt_unpatch

	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean


configure-stamp:
	dh_testdir

	dh_quilt_patch
	
	# Call the lrelease program to compile all translation files
	# (trans_xx.ts) files into their corresponding trans_xx.qm binary
	# files). We do this here, as we might need to ship an updated .ts
	# file (text file) but we do not want to ship a binary .qm file. Note
	# that lrelease is in libqt4-dev and we have to depend on that package
	# anyways. So no overhead.
	
	dh_auto_configure
	
	# Production of .qm file is required before the call to qmake.
	lrelease -compress colorcode.pro
	
	touch configure-stamp
	

build-arch-stamp: configure-stamp
	dh_testdir
	dh_prep -a
		
	$(MAKE)
	
	touch build-arch-stamp
	

.PHONY: build-indep
build-indep:


.PHONY: build-arch
build-arch: build-arch-stamp


.PHONY: build
build: build-indep build-arch


# Build architecture-independent files here.
.PHONY: binary-indep
binary-indep:


# Build architecture-dependent files here.
.PHONY: binary-arch
binary-arch: build-arch-stamp
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_install -a
	dh_installmenu -a
	dh_installman -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a


.PHONY: binary
binary: binary-indep binary-arch

## colorcode 0.8.7

=== debian/changelog ===
colorcode (0.8.7-1) unstable; urgency=low

  * New upstream version with port to Qt6.

  * Fix the Bug#1043876: colorcode: Fails to build source after successful
    build (Closes: #1043876).

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 24 Nov 2023 10:06:24 +0100

colorcode (0.8.5-3) unstable; urgency=low

  * Fixes to the dh_clean to be able to build source package right after
    having built the binary package.

  * Updates to d/control.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 25 Aug 2023 13:01:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: games
 Priority: optional
 Maintainer: Filippo Rusconi <lopippo@debian.org>
-Build-Depends: debhelper (>= 9),
-               dpkg-dev (>= 1.16.1~),
-               qt5-qmake:native,
-               qtbase5-dev (>= 5.3.2+dfsg-5),
-               qttools5-dev-tools (>= 5.3.2+dfsg-5),
-               quilt (>= 0.63)
-Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 13.3.4),
+ dpkg-dev (>= 1.21.22),
+ cmake,
+ qt5-qmake:native,
+ qtbase5-dev (>= 5.3.2+dfsg-5),
+ qttools5-dev
+Standards-Version: 4.6.2
 Homepage: http://colorcode.laebisch.com/
 Vcs-Browser: https://salsa.debian.org/debian/colorcode
 Vcs-Git: https://salsa.debian.org/debian/colorcode.git

=== debian/rules ===
#!/usr/bin/make -f
# Based on the initial work of Joey Hess and Craig Small.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export QT_SELECT=qt5

PACKAGE=colorcode

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

$(info "---------------------------------------")
$(info NUMJOBS: $(NUMJOBS))
$(info MAKEFLAGS: $(MAKEFLAGS))
$(info DEB_BUILD_OPTIONS: $(DEB_BUILD_OPTIONS))
$(info "---------------------------------------")


%:
	dh $@ --build-system=cmake


override_dh_clean:
	rm -rf debian/build
	rm -rf debian/tmp
	dh_clean

override_dh_auto_configure:
	mkdir -p debian/build
	mkdir -p debian/tmp
	cd debian/build && cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr ../../src

override_dh_auto_build:
	cd debian/build && make
